## ros-melodic-canopen-master 0.8.5

=== debian/changelog ===
ros-melodic-canopen-master (0.8.5-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-canopen-master (0.8.4-1bionic) bionic; urgency=high

  * added settings parameter to DriverInterface::init
  * moved canopen::Settings into can namespace
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 21 Aug 2020 22:00:00 -0000

ros-melodic-canopen-master (0.8.3-1bionic) bionic; urgency=high

  * Bump CMake version to avoid CMP0048 warning
    Signed-off-by: ahcorde <mailto:ahcorde@gmail.com>
  * Contributors: ahcorde

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 06 May 2020 22:00:00 -0000

ros-melodic-canopen-master (0.8.2-1bionic) bionic; urgency=high

  * implemented LayerStatus::equals<>()
  * added support for SYNC counter in SimpleSyncLayer (#349 <https://github.com/ipa-mdl/ros_canopen/issues/349>)
  * enable rosconsole_bridge bindings
  * switch to new logging macros
  * add logging based on console_bridge
  * removed implicit Header operator
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 03 Nov 2019 23:00:00 -0000

ros-melodic-canopen-master (0.8.1-1bionic) bionic; urgency=high

  * Set C++ standard to c++14
  * added Delegate helpers for backwards compatibility
  * implemented create*ListenerM helpers
  * Replacing FastDelegate with std::function and std::bind.
  * Contributors: Harsh Deshpande, Joshua Whitley, Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sat, 13 Jul 2019 22:00:00 -0000

ros-melodic-canopen-master (0.8.0-1bionic) bionic; urgency=high

  * migrated to std::function and std::bind
  * migrated to std::atomic
  * got rid of boost::noncopyable
  * replaced BOOST_FOREACH
  * migrated to std::unordered_map and std::unordered_set
  * migrated to std pointers
  * provided KeyHash
    for use with unordered containers
  * added c_array access functons to can::Frame
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 10 Jul 2018 22:00:00 -0000

ros-melodic-canopen-master (0.7.8-1bionic) bionic; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-melodic-canopen-master (0.7.7-1bionic) bionic; urgency=high

  * added types for all function objects
  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * migrate to new classloader headers
  * throw bad_cast if datatype is not supported
  * special handling of std::bad_cast
  * address catkin_lint errors/warnings
  * removed IPC/SHM based sync masters
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-melodic-canopen-master (0.7.6-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-melodic-canopen-master (0.7.5-1bionic) bionic; urgency=high

  * added EMCYHandler::resetErrors
  * added VectorHelper::callFunc
    generalized call templates
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-melodic-canopen-master (0.7.4-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-canopen-master (0.7.3-1bionic) bionic; urgency=high

  * enforce boost::chrono-based timer
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-melodic-canopen-master (0.7.2-1bionic) bionic; urgency=high

  * fix: handle EMCY as error, not as warning
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-melodic-canopen-master (0.7.1-1bionic) bionic; urgency=high

  * refactored EMCY handling into separate layer
  * print EMCY to stdout
  * send node start on recover
    needed for external sync to work properly
  * pass halt on error unconditionally
  * added canopen_bcm_sync
  * implemented ExternalMaster
  * added object access services
  * implemented ObjectStorage::getStringReader
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-melodic-canopen-master (0.7.0-1bionic) bionic; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-melodic-canopen-master (0.6.5-1bionic) bionic; urgency=high

  * Merge pull request #179 <https://github.com/ipa-mdl/ros_canopen/issues/179> from ipa-mdl/mixed_case_access
    support mixed-case access strings in EDS
  * decouple listener initialization from 1003 binding
  * introduced THROW_WITH_KEY and ObjectDict::key_info
  * added access type tests
  * convert access string to lowercase
  * Do not remove shared memory automatically
  * hardened code with the help of cppcheck
  * throw verbose exception if AccessType is missing (#64 <https://github.com/ipa-mdl/ros_canopen/issues/64>)
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * canopen_master needs to depend on rosunit for gtest
  * update package URLs
  * fixed typo
  * do not reset PDO COB-ID if it is not writable
  * Do not recurse into sub-objects, handle them as simple data
  * strip string before searching for $NODEID
  * added NodeID/hex parser test
  * do full recover if if driver is not ready
  * wait for driver to be shutdown in run()
  * limit SDO reader to size of 1
  * do not send abort twice
  * removed unnecessary sleep (added for tests only)
  * catch all std exceptions in layer handlers

