=== debian/control ===
Source: ros-melodic-canopen-master
Section: misc
Priority: optional
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-class-loader, ros-melodic-rosunit, ros-melodic-socketcan-interface
Homepage: http://wiki.ros.org/canopen_master
Standards-Version: 3.9.2

Package: ros-melodic-canopen-master
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-class-loader, ros-melodic-socketcan-interface
Description: CiA(r) CANopen 301 master implementation with support for interprocess master synchronisation.
